<template>
    <div
        v-if="showFooter"
        class="w-full fixed bottom-0 left-0 bg-white h-[60px] py-4"
    >
        <div
            class="w-full grid grid-cols-5 space-x-2"
        >
            <a
                href="javascript:"
                class="bottom-nav-btn"
                :class="{
                    active: routeNameSpace === 'home',
                }"
                @click="goTo('home')"
            >
                <span>
                    <font-awesome-icon icon="fa-solid fa-home" />
                </span>
                <span class="capitalize text-sm">
                    {{ $t('home') }}
                </span>
            </a>
            <a
                href="javascript:"
                class="bottom-nav-btn"
                :class="{
                    active: routeNameSpace === 'explore',
                }"
                @click="goTo('explore')"
            >
                <span>
                    <font-awesome-icon icon="fa-solid fa-magnifying-glass" />
                </span>
                <span class="capitalize text-sm">
                    {{ $t('explore') }}
                </span>
            </a>
            <a
                href="javascript:"
                class="bottom-nav-btn"
                :class="{
                    active: routeNameSpace === 'portfolio',
                }"
                @click="goTo('portfolio')"
            >
                <span>
                    <font-awesome-icon icon="fa-solid fa-briefcase" />
                </span>
                <span class="capitalize text-sm">
                    {{ $t('portfolio') }}
                </span>
            </a>
            <a
                href="javascript:"
                class="bottom-nav-btn"
                :class="{
                    active: routeNameSpace === 'team',
                }"
                @click="goTo('team')"
            >
                <span>
                    <font-awesome-icon icon="fa-solid fa-people-group" />
                </span>
                <span class="capitalize text-sm">
                    {{ $t('team') }}
                </span>
            </a>
            <a
                href="javascript:"
                class="bottom-nav-btn"
                :class="{
                    active: routeNameSpace === 'me',
                }"
                @click="goTo('me')"
            >
                <span>
                    <font-awesome-icon icon="fa-solid fa-user" />
                </span>
                <span class="capitalize text-sm">
                    {{ $t('me') }}
                </span>
            </a>
        </div>
    </div>
</template>
<script setup>
import {FontAwesomeIcon} from "@fortawesome/vue-fontawesome";
import {computed} from "vue";
import {useRoute, useRouter} from "vue-router";

const $route = useRoute();
const $router = useRouter();
const routeNameSpace = computed(() => {
    let rn = String($route.name);
    if (rn.startsWith('user.explore')) return 'explore';
    else if (rn.startsWith('user.portfolio')) return 'portfolio';
    else if (rn.startsWith('user.team')) return 'team';
    else if (rn.startsWith('user.me')) return 'me';
    else return 'home';
});

const goTo = async (p) => {
    switch (p) {
        case 'me': return await $router.push({name: 'user.me.home'});
        case 'team': return await $router.push({name: 'user.team.home'});
        case 'portfolio': return await $router.push({name: 'user.portfolio.home'});
        case 'explore': return await $router.push({name: 'user.explore.home'});
        default: return await $router.push({name: 'user.home'});
    }
};

const showFooter = computed(() => {
    return !$route.meta.hideFooter;
})
</script>
